Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Interface Type

All Known Subinterfaces:
  Base, Relation

All Known Implementing Classes:
  BaseSupport, SemanticRelation, SpecieReference

public interface Type

Definition of data elemnt types (roles).

Field Summary
`static java.lang.String` | `CONSTANT`
`static java.lang.String` | `DATABASE_INFO`
`static java.lang.String` | `DIAGRAM_INFO`
`static java.lang.String` | `MATH`
`static java.lang.String` | `MATH_EQUATION`
`static java.lang.String` | `MATH_EVENT`
`static java.lang.String` | `MATH_FUNCTION`
`static java.lang.String` | `MATH_STATE`
`static java.lang.String` | `MATH_TRANSITION`
`static java.lang.String` | `TYPE_CELL`
`static java.lang.String` | `TYPE_CHEMICAL_ROLE`
`static java.lang.String` | `TYPE_COMPARTMENT`
`static java.lang.String` | `TYPE_CONCEPT`
`static java.lang.String` | `TYPE_DIAGRAM_REFERENCE`
`static java.lang.String` | `TYPE_FUNCTION`
`static java.lang.String` | `TYPE_GENE`
`static java.lang.String` | `TYPE_MOLECULE`
`static java.lang.String` | `TYPE_NOTE`
`static java.lang.String` | `TYPE_NOTE_LINK`
`static java.lang.String` | `TYPE_PROCESS`
`static java.lang.String` | `TYPE_PROTEIN`
`static java.lang.String` | `TYPE_REACTION`
`static java.lang.String` | `TYPE_RELATION`
`static java.lang.String` | `TYPE_RNA`
`static java.lang.String` | `TYPE_SEMANTIC_RELATION`
`static java.lang.String` | `TYPE_STATE`
`static java.lang.String` | `TYPE_SUBSTANCE`
`static java.lang.String` | `TYPE_UNKNOWN`

Field Detail

### TYPE_UNKNOWN

    public static final java.lang.String TYPE_UNKNOWN

See Also:
  Constant Field Values

### TYPE_NOTE

    public static final java.lang.String TYPE_NOTE

See Also:
  Constant Field Values

### TYPE_NOTE_LINK

    public static final java.lang.String TYPE_NOTE_LINK

See Also:
  Constant Field Values

### TYPE_CONCEPT

    public static final java.lang.String TYPE_CONCEPT

See Also:
  Constant Field Values

### TYPE_FUNCTION

    public static final java.lang.String TYPE_FUNCTION

See Also:
  Constant Field Values

### TYPE_PROCESS

    public static final java.lang.String TYPE_PROCESS

See Also:
  Constant Field Values

### TYPE_STATE

    public static final java.lang.String TYPE_STATE

See Also:
  Constant Field Values

### TYPE_MOLECULE

    public static final java.lang.String TYPE_MOLECULE

See Also:
  Constant Field Values

### TYPE_GENE

    public static final java.lang.String TYPE_GENE

See Also:
  Constant Field Values

### TYPE_RNA

    public static final java.lang.String TYPE_RNA

See Also:
  Constant Field Values

### TYPE_PROTEIN

    public static final java.lang.String TYPE_PROTEIN

See Also:
  Constant Field Values

### TYPE_SUBSTANCE

    public static final java.lang.String TYPE_SUBSTANCE

See Also:
  Constant Field Values

### TYPE_COMPARTMENT

    public static final java.lang.String TYPE_COMPARTMENT

See Also:
  Constant Field Values

### TYPE_CELL

    public static final java.lang.String TYPE_CELL

See Also:
  Constant Field Values

### TYPE_REACTION

    public static final java.lang.String TYPE_REACTION

See Also:
  Constant Field Values

### TYPE_RELATION

    public static final java.lang.String TYPE_RELATION

See Also:
  Constant Field Values

### TYPE_SEMANTIC_RELATION

    public static final java.lang.String TYPE_SEMANTIC_RELATION

See Also:
  Constant Field Values

### TYPE_CHEMICAL_ROLE

    public static final java.lang.String TYPE_CHEMICAL_ROLE

See Also:
  Constant Field Values

### TYPE_DIAGRAM_REFERENCE

    public static final java.lang.String TYPE_DIAGRAM_REFERENCE

See Also:
  Constant Field Values

### DATABASE_INFO

    public static final java.lang.String DATABASE_INFO

See Also:
  Constant Field Values

### DIAGRAM_INFO

    public static final java.lang.String DIAGRAM_INFO

See Also:
  Constant Field Values

### CONSTANT

    public static final java.lang.String CONSTANT

See Also:
  Constant Field Values

### MATH

    public static final java.lang.String MATH

See Also:
  Constant Field Values

### MATH_EVENT

    public static final java.lang.String MATH_EVENT

See Also:
  Constant Field Values

### MATH_FUNCTION

    public static final java.lang.String MATH_FUNCTION

See Also:
  Constant Field Values

### MATH_EQUATION

    public static final java.lang.String MATH_EQUATION

See Also:
  Constant Field Values

### MATH_STATE

    public static final java.lang.String MATH_STATE

See Also:
  Constant Field Values

### MATH_TRANSITION

    public static final java.lang.String MATH_TRANSITION

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.